need to explicitly install python-six via charm to meet missing pkg dep

Bug #1403195 reported by Ryan Beisner on 2014-12-16
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
glance (Juju Charms Collection)
Undecided
Ryan Beisner
heat (Juju Charms Collection)
Undecided
Ryan Beisner
keystone (Juju Charms Collection)
Undecided
Ryan Beisner
nova-cloud-controler (Juju Charms Collection)
Undecided
Ryan Beisner
nova-compute (Juju Charms Collection)
Undecided
Ryan Beisner
quantum-gateway (Juju Charms Collection)
Undecided
Ryan Beisner

Bug Description

When the underlying packages of these charms are installed via charm install hooks on Precise:
 * an older version of python-six (1.1.0-2) has already been installed by the charm-helpers 'six fix' in __init__, before the cloud archive is enabled;
 * apt install of the __(keystone/nova-common/glance/et al)__ package doesn't install the CA version needed (currently six 1.5.2-1);
 * this causes various install hook errors across the following charms.

The plan is to eventually SRU a versioned python-six dependency for the related packages on the next point release, but to also make charm install hook changes to unblock testing and deployments now.

See related SRU bug https://bugs.launchpad.net/ubuntu/+source/keystone/+bug/1403114.

Affected charms:
 * keystone
 * nova-compute (nova-common)
 * nova-cloud-controller
 * quantum-gateway neutron-gateway
 * glance
 * heat

For example, on precise, note that the older six is installed while the CA openstack component package is installed:
  keystone 1:2014.1.3-0ubuntu2~cloud0
  python-keystone 1:2014.1.3-0ubuntu2~cloud0
  python-keystoneclient 1:0.7.1-ubuntu1~cloud0
  python-six 1.1.0-2
  Description: Ubuntu 12.04.5 LTS

Related branches

Ryan Beisner (1chb1n) wrote :

Confirmed precise-icehouse deploy success with the attached bundle yaml. Awaiting verification on t-i, t-j, u-j deploy tests, but risk of breakage there is low.

description: updated
Ryan Beisner (1chb1n) wrote :

t-i -tj u-j deploys confirmed ok.

p-i deploys ok according to juju, but heat service not starting with six-related error:
  2014-12-17 23:11:17.294 9038 CRITICAL heat [-] AttributeError: 'module' object has no attribute 'add_metaclass'

description: updated
Stuart Bishop (stub) wrote :

If necessary, you could include a copy of six.py in your charm; its designed to be easily embedded into projects.

Ryan Beisner (1chb1n) wrote :

heat patch proposed, confirmed to resolve

Larry Michel (lmic) on 2014-12-18
tags: added: oil
Ryan Beisner (1chb1n) wrote :

UOSCI automation and manual review confirms resolution with stable and next charm sets against deployment test targets:
  precise-icehouse
  trusty-icehouse
  trusty-juno
  utopic-juno

Changed in glance (Juju Charms Collection):
assignee: nobody → Ryan Beisner (1chb1n)
Changed in heat (Juju Charms Collection):
assignee: nobody → Ryan Beisner (1chb1n)
Changed in keystone (Juju Charms Collection):
assignee: nobody → Ryan Beisner (1chb1n)
Changed in nova-cloud-controler (Juju Charms Collection):
assignee: nobody → Ryan Beisner (1chb1n)
Changed in nova-compute (Juju Charms Collection):
assignee: nobody → Ryan Beisner (1chb1n)
Changed in quantum-gateway (Juju Charms Collection):
assignee: nobody → Ryan Beisner (1chb1n)
Changed in glance (Juju Charms Collection):
status: New → Fix Released
Changed in heat (Juju Charms Collection):
status: New → Fix Released
Changed in keystone (Juju Charms Collection):
status: New → Fix Released
Changed in nova-cloud-controler (Juju Charms Collection):
status: New → Fix Released
Changed in nova-compute (Juju Charms Collection):
status: New → Fix Released
Changed in quantum-gateway (Juju Charms Collection):
status: New → Fix Released
Ryan Beisner (1chb1n) wrote :

FYI, an unrelated bug on precise-icehouse deployments was uncovered in the process: https://bugs.launchpad.net/charms/+source/cinder/+bug/1403616

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers